<?php

// API routes  for payment
Route::prefix('{guard}/payment')->group(function () {
    Route::get('payment/form/{element}', 'PaymentAPIController@form');
    Route::resource('payment', 'PaymentAPIController');
});

// Public routes for payment
Route::get('payments/', 'PaymentPublicController@index');
Route::get('payments/{slug?}', 'PaymentPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for payments
            Route::prefix('{guard}/payment')->group(function () {
                Route::get('payment/form/{element}', 'PaymentAPIController@form');
                Route::apiResource('payment', 'PaymentAPIController');
            });
            // Public routes for payments
            Route::get('payment/Payment', 'PaymentPublicController@getPayment');
        }
    );
}

