<?php

namespace B2buy\Payment\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PaymentTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Payment\Models\Payment $payment)
    {
        return [
            'id'                => $payment->getRouteKey(),
            'key'               => [
                'public'    => $payment->getPublicKey(),
                'route'     => $payment->getRouteKey(),
            ], 
            'reporting_to'      => $payment->reporting_to,
            'name'              => $payment->name,
            'email'             => $payment->email,
            'password'          => $payment->password,
            'company_name'      => $payment->company_name,
            'abn'               => $payment->abn,
            'title'             => $payment->title,
            'api_token'         => $payment->api_token,
            'url'               => [
                'public'    => trans_url('payment/'.$payment->getPublicKey()),
                'user'      => guard_url('payment/payment/'.$payment->getRouteKey()),
            ], 
            'status'            => trans('app.'.$payment->status),
            'created_at'        => format_date($payment->created_at),
            'updated_at'        => format_date($payment->updated_at),
        ];
    }
}