<?php

namespace B2buy\Payment\Workflow;

use B2buy\Payment\Models\Payment;
use B2buy\Payment\Notifications\PaymentWorkflow as PaymentNotifyer;
use Notification;

class PaymentNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Payment $payment
     *
     * @return void
     */
    public function complete(Payment $payment)
    {
        return Notification::send($payment->user, new PaymentNotifyer($payment, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Payment $payment
     *
     * @return void
     */
    public function verify(Payment $payment)
    {
        return Notification::send($payment->user, new PaymentNotifyer($payment, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Payment $payment
     *
     * @return void
     */
    public function approve(Payment $payment)
    {
        return Notification::send($payment->user, new PaymentNotifyer($payment, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Payment $payment
     *
     * @return void
     */
    public function publish(Payment $payment)
    {
        return Notification::send($payment->user, new PaymentNotifyer($payment, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Payment $payment
     *
     * @return void
     */
    public function archive(Payment $payment)
    {
        return Notification::send($payment->user, new PaymentNotifyer($payment, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Payment $payment
     *
     * @return void
     */
    public function unpublish(Payment $payment)
    {
        return Notification::send($payment->user, new PaymentNotifyer($payment, 'unpublish'));;

    }
}
